- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e96e53b2-b309-4d0a-a245-4ae5b48c307e
    creation_time: 2023-02-17T12:10:54.196601Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 10
    column: 0
    function: main
  loop_invariant:
    string: z == 0 &&  ( x < y && y == 50000 || 50000 <= x && x == y ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: afc35da6-4246-45e4-a383-f0012f10a6cd
    creation_time: 2023-02-17T12:10:54.196796Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 18
    column: 0
    function: main
  loop_invariant:
    string: x == y && y >= z
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4cc7d0a5-e92a-4b9d-9cd6-c7ca70c7170e
    creation_time: 2023-02-17T12:10:54.196984Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_1.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_1.c: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_1.c
    file_hash: 00e8f12f1d0e3d2fc679744754ceeef2daa37b874cd8db07b5ab8c35684165c0
    line: 22
    column: 0
    function: main
  location_invariant:
    string: x == z
    type: assertion
    format: C

